Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query
Class QueryMetadata

    java.lang.Object
      org.hibernate.engine.query.QueryMetadata

All Implemented Interfaces:
  Serializable

    public class QueryMetadata

extends Object
implements Serializable

Defines metadata regarding a translated HQL or native-SQL query.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`QueryMetadata(String sourceQuery, ParameterMetadata parameterMetadata, String[] returnAliases, Type[] returnTypes, Set querySpaces)`

Method Summary
`ParameterMetadata` | `getParameterMetadata()`
`Set` | `getQuerySpaces()` The set of query spaces affected by this source query.
`String[]` | `getReturnAliases()` Return source query select clause aliases (if any)
`Type[]` | `getReturnTypes()` An array of types describing the returns of the source query.
`String` | `getSourceQuery()` Get the source HQL or native-SQL query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryMetadata

    public QueryMetadata(String sourceQuery,
                         ParameterMetadata parameterMetadata,
                         String[] returnAliases,
                         Type[] returnTypes,
                         Set querySpaces)

Method Detail

### getSourceQuery

    public String getSourceQuery()

  Get the source HQL or native-SQL query.

  Returns:
    The source query.

### getParameterMetadata

    public ParameterMetadata getParameterMetadata()

### getReturnAliases

    public String[] getReturnAliases()

  Return source query select clause aliases (if any)

  Returns:
    an array of aliases as strings.

### getReturnTypes

    public Type[] getReturnTypes()

  An array of types describing the returns of the source query.

  Returns:
    The return type array.

### getQuerySpaces

    public Set getQuerySpaces()

  The set of query spaces affected by this source query.

  Returns:
    The set of query spaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD